%define name	sdlmame
%define version	0.130
%define release	1rx3
%define job_nb	8





#-----------------------------------------------------------------------------------------------------------------------------------
# Package
#-----------------------------------------------------------------------------------------------------------------------------------

Summary:	SDL-Mame Arcade Game Emulator
Name:		%name
Version:	%version
Release:	%release

License:	MAME
URL:		http://rbelmont.mameworld.info/?page_id=163
Group:		Emulators
Distribution:	Rx3 Free Software
Vendor:		Rx3
Packager:	Arnaud G. Gibert <arnaud@rx3.net>

Source:		http://rbelmont.mameworld.info/%{name}-%{version}.tar.bz2
Source1:	%{name}-rc.tar.bz2
Source2:	%{name}-free_roms.tar.bz2
Source3:	%{name}-free_samples.tar.bz2

Source10:	%{name}-catver-0.130.ini.bz2
Source11:	%{name}-cheat-0.129u5.tar.bz2
Source12:	%{name}-history-1.30.dat.bz2
Source13:	%{name}-mameinfo-0.130.dat.bz2

#Patch0:		sdlmame-makefile-fix.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	SDL1.2-devel
BuildRequires:	expat-devel
BuildRequires:	zlib-devel
BuildRequires:	libxinerama-devel
ExclusiveArch:	%ix86 x86_64 ppc



%description
This is a simple SDL port of the almost legendary MAME. MAME is an arcade
machine emulator, started in 1997 by Nicola Salmoria. It started out as a
series of emulators for individual games. This series of emulators was
combined into a single multi-game emulator.

Mame is a virtual machine emulator: it includes a Z80, 6502, 68000 and
lastly I86 uP emulators, joined to several arcade machine hardware
emulators. Each arcade emulator contains a full description about
hardware, mem maps, video, sounds and so, making possible that if
you have original ROM images of a supported arcade game, you can
play the game.





#-----------------------------------------------------------------------------------------------------------------------------------
# Prep
#-----------------------------------------------------------------------------------------------------------------------------------

%prep
#%{__rm} -rf %{buildroot}

%setup -q -n %{name}-%{version}
#%patch0 -p1
perl -pi -e "s|-Werror||g" makefile

bzcat    %{SOURCE10}	>catver.ini
tar xjvf %{SOURCE11}
bzcat    %{SOURCE12}	>history.dat
bzcat    %{SOURCE13}	>mameinfo.dat





#-----------------------------------------------------------------------------------------------------------------------------------
# Build
#-----------------------------------------------------------------------------------------------------------------------------------

%build

%ifarch %ix86
	%define my_arch_flags	I686=1
	%define my_c_flags	-march=pentium2 -mfpmath=387 -mmmx -ffast-math
%endif
%ifarch x86_64
	%define my_arch_flags	PTR64=1
	%define my_c_flags	-march=nocona -mfpmath=sse -msse3 -ffast-math
%endif
%ifarch ppc
	%define my_arch_flags	PPC=1
	%define my_c_flags	-march=generic
%endif

%{__make} -j%{job_nb} PREFIX="sdl" OPTIMIZE=3 SYMBOLS=1 OPT_FLAGS="%{my_c_flags} -DINI_PATH=\\\"$HOME/.sdlmame\;.\;/etc/sdlmame\\\"" %{my_arch_flags}





#-----------------------------------------------------------------------------------------------------------------------------------
# Install
#-----------------------------------------------------------------------------------------------------------------------------------

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_gamesbindir}			\
	     %{buildroot}%{_sysconfdir}/%{name}			\
             %{buildroot}%{_gamesdatadir}/%{name}		\
	     %{buildroot}%{_gamesdatadir}/%{name}/fonts		\
	     %{buildroot}%{_gamesdatadir}/%{name}/keymaps	\
             %{buildroot}%{_gamesdatadir}/%{name}/{artworks,cabinets,cfgs,comments,ctrlrs,diffs,flyers,icons,inps,marquees,memcards,nvrams,pcbs,roms,samples,snaps,stas,titles}


#installing the binaries
%{__install} -m 0755 sdlmame	%{buildroot}%{_gamesbindir}/%{name}
%{__install} -m 0755 chdman	%{buildroot}%{_gamesbindir}/chdman-%{name}
%{__install} -m 0755 jedutil	%{buildroot}%{_gamesbindir}/jedutil-%{name}
%{__install} -m 0755 ldresample	%{buildroot}%{_gamesbindir}/ldresample-%{name}
%{__install} -m 0755 ldverify	%{buildroot}%{_gamesbindir}/ldverify-%{name}
%{__install} -m 0755 romcmp	%{buildroot}%{_gamesbindir}/romcmp-%{name}
%{__install} -m 0755 testkeys	%{buildroot}%{_gamesbindir}/testkeys-%{name}


#installing ini file
tar xjvf %{SOURCE1} -C %{buildroot}%{_sysconfdir}

#installing font file
install -m 644 ui.bdf		%{buildroot}%{_gamesdatadir}/%{name}/fonts/ui.bdf

#installing keymap files
install -m 644 keymaps/*	%{buildroot}%{_gamesdatadir}/%{name}/keymaps

#installing the sdlmame files
install -m 644 catver.ini	%{buildroot}%{_gamesdatadir}/%{name}/catver.ini
install -m 644 cheat.zip	%{buildroot}%{_gamesdatadir}/%{name}/cheat.zip
install -m 644 history.dat	%{buildroot}%{_gamesdatadir}/%{name}/history.dat
install -m 644 mameinfo.dat	%{buildroot}%{_gamesdatadir}/%{name}/mameinfo.dat

#installing the free roms and samples
tar xjvf %{SOURCE2} -C %{buildroot}%{_gamesdatadir}/%{name}
tar xjvf %{SOURCE3} -C %{buildroot}%{_gamesdatadir}/%{name}





#-----------------------------------------------------------------------------------------------------------------------------------
# Clean
#-----------------------------------------------------------------------------------------------------------------------------------

%clean
%{__rm} -rf %{buildroot}





#-----------------------------------------------------------------------------------------------------------------------------------
# Files
#-----------------------------------------------------------------------------------------------------------------------------------

%files
%defattr(-,root,root)

%attr(0755,root,games) %{_gamesbindir}/%{name}*
%attr(0755,root,games) %{_gamesbindir}/*-%{name}

%config(noreplace)  %{_sysconfdir}/%{name}/*

%doc SDLMAME.txt whatsnew.txt docs/* cheat.txt

%attr(655,root,games) %dir %{_gamesdatadir}/%{name}
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/artworks
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/cabinets
%attr(777,root,games) %dir %{_gamesdatadir}/%{name}/cfgs
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/comments
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/ctrlrs
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/diffs
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/flyers
%attr(777,root,games) %dir %{_gamesdatadir}/%{name}/fonts
%attr(644,root,games) %dir %{_gamesdatadir}/%{name}/fonts/*
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/icons
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/inps
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/keymaps
%attr(644,root,games) %{_gamesdatadir}/%{name}/keymaps/*
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/marquees
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/memcards
%attr(777,root,games) %dir %{_gamesdatadir}/%{name}/nvrams
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/pcbs
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/roms
%attr(644,root,games) %{_gamesdatadir}/%{name}/roms/*
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/samples
%attr(644,root,games) %{_gamesdatadir}/%{name}/samples/*
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/snaps
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/stas
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/titles

%attr(644,root,games) %{_gamesdatadir}/%{name}/catver.ini
%attr(644,root,games) %{_gamesdatadir}/%{name}/cheat.zip
%attr(644,root,games) %{_gamesdatadir}/%{name}/history.dat
%attr(644,root,games) %{_gamesdatadir}/%{name}/mameinfo.dat

#%attr(644,root,root) %{_liconsdir}/%{name}.png
#%attr(644,root,root) %{_miconsdir}/%{name}.png
#%attr(644,root,root) %{_iconsdir}/%{name}.png





#-----------------------------------------------------------------------------------------------------------------------------------
# ChangeLog
#-----------------------------------------------------------------------------------------------------------------------------------

%changelog
* Sat Mar 14 2009 Arnaud G. Gibert <arnaud@rx3.net> 0.130-1rx3
- Update sdlmame     to 0.129.
- Update catver.ini  to 0.130 (from http://www.progettoemma.net/?catlis).
- Update cheat.zip to 0.129u5.
- Update history.dat to 1.30.
- Update mameinfo.dat to 0.130.
- Add jedutil, ldresample and ldverify utilities.

* Sun Jan 11 2009 Arnaud G. Gibert <arnaud@rx3.net> 0.128-1rx3
- Update sdlmame      to 0.129.
- Update catver.ini   to 0.129 (from http://www.progettoemma.net/?catlis).
- Update history.dat  to 1.29.
- Update mameinfo.dat to 0.129.
- Update mame.ini new options.
- Add SYMBOLS=1 inorder to populate and support sdlmame-debug package.
- Support Mandriva 2009.0 x86_64, gcc 4.3.2 and Intel QX6600 8^)

* Tue Oct 28 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.128-1rx3
- Update sdlmame to 0.128.
- Remove makefile Patch!
- Update catver.ini to 0.128 (from http://www.progettoemma.net/?catlis).
- Update history.dat to 1.28.
- Update mameinfo.dat to 0.128.

* Tue Sep  2 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.127-2rx3
- Update cheat.zip to 0.127.
- Fix cheatpath in mame.ini.
- Add pcbs dir.

* Fri Aug 29 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.127-1rx3
- Update to 0.127.
- Update catver.ini to 0.127 (from http://www.progettoemma.net/?catlis).
- Update history.dat to 1.27.
- Update mameinfo.dat to 0.127.
- Update mame.ini new options.

* Thu Jul 10 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.126-1rx3
- Update to 0.126.
- Update catver.ini to 0.126 (from http://www.progettoemma.net/?catlis).
- Update history.dat to 1.26.
- Update mameinfo.dat to 0.126.
- Switch off "sdlvideofps" option in mame.ini.

* Mon May 19 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.125-3rx3
- Cleanup build section
- Support ix86 and x86_64 !

* Wed May 15 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.125-2rx3
- Patch makefile in order to fix a parallel build bug.
- Switch off "log" option in mame.ini.

* Wed May  7 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.125-1rx3
- Update to 0.125.
- Update catver.ini to 0.125 (from http://www.progettoemma.net/?catlis).
- Update history.dat to 1.25.
- Update mameinfo.dat to 0.125.

* Sun Mar 30 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.124-1rx3
- Update to 0.124.
- Update history.dat to 1.24.
- Update mameinfo.dat to 0.124.
- Rename data directories.

* Sat Mar 29 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.123-1rx3
- Update to 0.123.
- Update catver.ini to 0.124a (from http://www.progettoemma.net/?catlis).
- Update cheat.dat to 0.123.
- Update history.dat to 1.23.
- Update mameinfo.dat to 0.123.
- Remove ini patch !
- Remove hiscore.dat file,
- Remove hi directory,
- Move sdlmame data directory from /usr/lib/games to /usr/share/games,
- Rework spefile,
- Support Mandriva 2008.0 x86_64, gcc 4.2.2 and Intel QX6600 8^)

* Thu Mar 10 2007 Arnaud G. Gibert <arnaud@rx3.net> 0.113-1rx3
- Update to 0.113
- Remove keymap patch !
- Add km-fr.txt keymap.
- Add keymaps directory.
- Add testkeys utility.
- Update ini patch to new src sub dirs.
- Update cheat.dat to 0.112.
- Update mameinfo.dat to 0.113.
- Update history.dat to 1.12a.
- Update catver.ini to 0.113 (from http://www.progettoemma.net/?catlis).

* Sat Feb 10 2007 Arnaud G. Gibert <arnaud@rx3.net> 0.112-1rx3
- Intial specfile creation from my xmame and Matthias Saou sdlmame specfiles.
- Update to 0.112
- Add my keymap and ini patches.
- Update cheat.dat to 0.111.
- Update mameinfo.dat to 0.112.
- Update history.dat to 1.12.
- Update catver.ini to 0.112 (from http://www.progettoemma.net/?catlis).
- Support Mandriva 2007, gcc 4.1.1 and Intel QX6600 8^)
